7.9.01: Service Pack 1

This topic contains information about updates and enhancements in this service pack and provides instructions for downloading and installing the service pack.

Note

For complete compatibility information about this BMC Atrium Orchestrator Platform release, see BMC Solution and Product Availability and Compatibility Utility (SPAC requires a Support login). Log in using your support ID, search for BMC Atrium Orchestrator Platform and choose the current release to display compatibility information.

Enhancements

This release includes the following enhancements.

Authentication service support enhancements

This release includes the following authentication service enhancements.

Support for Atrium Single Sign-On discontinued

Starting with BMC Atrium Orchestrator Platform version 7.9.01, Remedy SSO is the only supported authentication service.

If you are using BAO versions 7.7x, 7.8x or 7.9.00 with Atrium SSO, you must migrate to Remedy SSO when you upgrade to BAO 7.9.01.


Remedy Single Sign-On support

BMC Atrium Orchestrator Platform version 7.9.01 supports the use of embedded or external Remedy Single Sign-On (Remedy SSO) version 9.1.02.001

Notes

  • If you are using an external version of Remedy SSO, you must download the Remedy SSO installation file (9.1.02.001) from the BMC Atrium Orchestrator EPD site BMC Atrium Orchestrator Platform 7.9.01 . To install this version, you must have Apache Tomcat version 7 or higher and Java 8 installed.
    For more information about Remedy SSO and installing Remedy SSO, see Remedy Single Sign-On
  • Remedy Single Sign-On versions 9.1.01.001 and 9.1.02.001 only support BMC Atrium Orchestrator high availability with an embedded database. Stand-alone RSSO versions 9.1.01.001 and 9.1.02.001 installations do not support HA with embedded DB.

LDAP group support

The following LDAP group support is added.

Microsoft SQL Database support

This release adds support for the Microsoft SQL Server 2012 database.

Upgrade program changes

Upgrades from BMC Atrium Orchestrator Platform 7.7.x, 7.8.x, and 7.9 versions (using Atrium Single Sign-On) now support the use of embedded or external Remedy Single Sign-On (RSSO) version 9.1.02.001

Note

This version of BAO does not support migrating information from Atrium Single Sign-On to Remedy Single Sign-On. You must recreate your users and roles.

For more information, see Upgrading from BAO 7.7.x, 7.8.x, and 7.9.00 with ASSO to 7.9.01 with RSSO.

Available upgrade paths for 7.9.01

The following upgrade paths are available for upgrades to 7.9.01. See the table in Upgrading for complete details.

  • 7.6.03 (with Access Manager) to 7.9.01 with Remedy SSO
  • 7.7.x (with Atrium SSO) to 7.9.01 with Remedy SSO
  • 7.8.x (with Atrium SSO) to 7.9.01 with Remedy SSO 
  • 7.9 (with Atrium SSO) to 7.9.01 with Remedy SSO
  • 7.9 (with Remedy SSO) to 7.9.01 with Remedy SSO

RESTful API updates

This release includes the following REST API enhancements:

Development Studio updates

You can now concatenate strings with encrypted data. The concatenation process produces another encrypted data item.

Note

String concatenation scenarios that use native XPath and XSLT functions do not support this feature; therefore, concatenating secure data with a string is not supported when using basic and advanced XPath and XSLT transforms.

Platform – Content compatibility

BMC Atrium Orchestrator Platform 7.9.01 is certified with BMC Atrium Orchestrator Content 20.16.03. 

Warning

BMC Atrium Orchestrator Platform 7.9.01 uses Java 8, update 66. If you have created custom adapters, you might need to recompile the adapters with this version of Java. Some adapters might not work if they do not comply with the increased security standards enforced in this version of Java.


Downloading the service pack

For download instructions, see Downloading the installation files. You can link to the download files here:  BMC Atrium Orchestrator Platform 7.9.01 .

For BMC Atrium Orchestrator Platform version 7.9 Service Pack 1 compatibility with other supported products, see BMC Solution and Product Availability and Compatibility Utility (SPAC requires a Support login). Log in using your support ID, search for BMC Atrium Orchestrator Platform and choose the current release to display compatibility information.

Installing the service pack

To install the service pack, follow the instructions in the Installing topic.

Related topics

Known and corrected issues

Was this page helpful? Yes No Submitting... Thank you

Comments